Patch Assistant Tool
assistants
Patch Assistant Tool
PATCH
Patch Assistant Tool
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Documentation Index
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
curl --request PATCH \
--url https://qall.io/api/assistants/{assistant_id}/tools/{tool_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"config": {},
"is_enabled": true
}
'import requests
url = "https://qall.io/api/assistants/{assistant_id}/tools/{tool_id}"
payload = {
"config": {},
"is_enabled": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text){
"message": "<string>",
"success": true,
"data": {}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}curl --request PATCH \
--url https://qall.io/api/assistants/{assistant_id}/tools/{tool_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"config": {},
"is_enabled": true
}
'import requests
url = "https://qall.io/api/assistants/{assistant_id}/tools/{tool_id}"
payload = {
"config": {},
"is_enabled": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text){
"message": "<string>",
"success": true,
"data": {}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.